Plesk\backup\Agent\Schema\Backup\HotlinkProtection\HotlinkProtectionAType:
    properties:
        enabled:
            expose: true
            access_type: public_method
            serialized_name: enabled
            accessor:
                getter: getEnabled
                setter: setEnabled
            xml_attribute: true
            type: string
        extension:
            expose: true
            access_type: public_method
            serialized_name: extension
            xml_element:
                cdata: false
            accessor:
                getter: getExtension
                setter: setExtension
            xml_list:
                inline: true
                entry_name: extension
            type: array<string>
        friend:
            expose: true
            access_type: public_method
            serialized_name: friend
            xml_element:
                cdata: false
            accessor:
                getter: getFriend
                setter: setFriend
            xml_list:
                inline: true
                entry_name: friend
            type: array<string>
